Bug 811601 - Review Request: openstack-utils - Helper utilities for OpenStack services
Review Request: openstack-utils - Helper utilities for OpenStack services
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 10:04 EDT by Pádraig Brady
Modified: 2012-04-24 14:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 14:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2012-04-11 10:04:26 EDT
Spec URL: http://pbrady.fedorapeople.org/openstack-utils/openstack-utils.spec
SRPM URL: http://pbrady.fedorapeople.org/openstack-utils/openstack-utils-2012.1-1.fc15.src.rpm
Description: Utilities to aid the setup and configuration of OpenStack packages

These are to support the Essex release of OpenStack being shipped with Fedora 17
Comment 1 Thomas Spura 2012-04-15 17:21:23 EDT
Looks like you are upstream for this.

Don't you have a url/upstream repository for this?
Comment 2 Pádraig Brady 2012-04-16 05:29:55 EDT
These are fedora specific for the moment,
so it was thought more appropriate just to
store the few script in the fedora repo
Comment 3 Richard W.M. Jones 2012-04-23 06:18:12 EDT
General comment: I think you should add a comment about how Fedora
itself is the upstream for this package.  Also I think man pages would
improve this package.

- rpmlint output

Some notable issues raised by rpmlint:

openstack-utils.src: W: strange-permission openstack-config 0775L
openstack-utils.src: W: strange-permission openstack-status 0775L
openstack-utils.src: W: strange-permission openstack-demo-install 0775L
openstack-utils.src: W: strange-permission openstack-db 0775L
openstack-utils.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/openstack-utils-2012.1/LICENSE
openstack-utils.noarch: W: no-manual-page-for-binary openstack-demo-install
openstack-utils.noarch: W: no-manual-page-for-binary openstack-config
openstack-utils.noarch: W: no-manual-page-for-binary openstack-status
openstack-utils.noarch: W: no-manual-page-for-binary openstack-db

I'm not sure what this one means:

openstack-utils.noarch: W: devel-file-in-non-devel-package /usr/bin/openstack-config

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
n/a upstream sources match sources in the srpm
+ package successfully builds on at least one architecture
n/a ExcludeArch bugs filed
n/a BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
n/a package owns all directories it creates
+ no duplicate files in %files
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
n/a packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8
n/a use %global instead of %define

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
n/a reviewer should build the package in mock
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
n/a shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin
Comment 4 Pádraig Brady 2012-04-23 11:31:21 EDT
Thanks a lot for the review.

I've updated the package at the above links.

I've made it a bit more standard by storing the upstream
as a subproject of the fedora-openstack support repos at
https://github.com/fedora-openstack/openstack-utils

The devel-file-in-non-devel-package warning looks bogus.
Comment 5 Richard W.M. Jones 2012-04-23 12:00:06 EDT
(In reply to comment #3)
> General comment: I think you should add a comment about how Fedora
> itself is the upstream for this package.  Also I think man pages would
> improve this package.

Both of these issues are fixed.

> - rpmlint output
> 
> Some notable issues raised by rpmlint:
> 
> openstack-utils.src: W: strange-permission openstack-config 0775L
> openstack-utils.src: W: strange-permission openstack-status 0775L
> openstack-utils.src: W: strange-permission openstack-demo-install 0775L
> openstack-utils.src: W: strange-permission openstack-db 0775L

Fixed by using `install -m' in spec file.

> openstack-utils.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/openstack-utils-2012.1/LICENSE

Fixed upstream.

> openstack-utils.noarch: W: no-manual-page-for-binary openstack-demo-install
> openstack-utils.noarch: W: no-manual-page-for-binary openstack-config
> openstack-utils.noarch: W: no-manual-page-for-binary openstack-status
> openstack-utils.noarch: W: no-manual-page-for-binary openstack-db

Fixed by adding man pages for all utilities.

> I'm not sure what this one means:
> 
> openstack-utils.noarch: W: devel-file-in-non-devel-package
> /usr/bin/openstack-config

We agree this is not important.

=========================
This package is APPROVED by rjones
=========================
Comment 6 Pádraig Brady 2012-04-24 11:18:37 EDT
New Package SCM Request
=======================
Package Name: openstack-utils
Short Description: Helper utilities for OpenStack services
Owners: pbrady
Branches: f16 f17 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-04-24 11:22:19 EDT
Git done (by process-git-requests).
Comment 8 Pádraig Brady 2012-04-24 14:05:23 EDT
cheers!

Note You need to log in before you can comment on or make changes to this bug.